﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication14
{
    public partial class MainPage : UserControl
    {
        private GA_SeaShore _sea_shore;

        public MainPage()
        {
            InitializeComponent();

            _sea_shore = new GA_SeaShore();
            _sea_shore.setOutput(this);	// 出力デリゲートを設定する
        }

        // 実行
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            textBox1.Text = "";
            _sea_shore.run();
        }

        // リセット
        private void button2_Click(object sender, RoutedEventArgs e)
        {
            textBox1.Text = "";
            _sea_shore.init();
        }

        public void appendText(String txt)
        {
            textBox1.Text += txt;
        }
    }
}
